theme-flash-sales-countdown {
  display: block;
  margin-bottom: 15px;
}

.flash-sales-countdown {
  box-sizing: border-box;
  max-width: 552px;
  margin-top: 15px;
  padding: 20px;
  border-radius: 8px;
  color: #fff;
  background: var(--flash-sales-countdown-bg, linear-gradient(-45deg, #4ca8ff 0, #1455ff 100%));
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.flash-sales-countdown__text {
  margin-bottom: 18px;
}

.flash-sales-countdown__title {
  max-width: 100%;
  margin: 0;
  font-size: 22px;
  font-weight: 600;
  line-height: 30px;
}

.flash-sales-countdown__desc {
  max-width: 100%;
  margin: 8px 0 0;
}

.flash-sales-countdown__time-row {
  display: flex;
  align-items: center;
}

.flash-sales-countdown__time-label {
  max-width: 100%;
  margin: 0;
  font-size: 16px;
  font-weight: 600;
  line-height: 22px;
}

.flash-sales-countdown__timer {
  display: flex;
  align-items: center;
  margin-left: 20px;
  color: #fff;
  direction: ltr;
  unicode-bidi: isolate;
}

.flash-sales-countdown__time {
  box-sizing: border-box;
  width: 40px;
  height: 24px;
  margin: 0 7px 0 0;
  border-radius: 4px;
  color: var(--flash-sales-time-color, #1455ff);
  background: #fff;
  font-size: 16px;
  font-weight: 500;
  line-height: 26px;
  text-align: center;
}

.flash-sales-countdown__time--seconds {
  width: 48px;
}

.flash-sales-countdown__unit,
.flash-sales-countdown__separator {
  height: 24px;
  margin-right: 5px;
  color: #fff;
  font-weight: 500;
  line-height: 26px;
}

@media screen and (max-width: 749.98px) {
  .flash-sales-countdown__title {
    font-size: 18px;
  }

  .flash-sales-countdown__time-label {
    font-size: 14px;
  }

  .flash-sales-countdown__time-row {
    flex-direction: column;
    align-items: flex-start;
  }

  .flash-sales-countdown__timer {
    margin-left: 0;
  }

  .flash-sales-countdown__time {
    width: 30px;
  }

  .flash-sales-countdown__time--seconds {
    width: 42px;
  }
}
